We have a routine that puts a "tic" mark at the end of selected arcs, but it now longer works since upgrading to R2005. Instead of drawing the expected tic mark, it says "zero length line created" in R2005. The person who wrote this is no longer with us, and I don't know LISP well enough to determine the cause of the problem. Any suggestions on resolving this greatly appreciated! Thanks - John (defun c:toc () (setq selset (ssget)) (setq lngth2 (getreal "How big ya wannit? ")) (setq lngth (/ lngth2 2)) (setq count 0) (setvar "CMDECHO" 0) (repeat (sslength selset) (if (= "ARC" (cdr (Assoc 0 (entget (ssname selset count))))) (progn (setq item (entget (ssname selset count))) (setq x1 (cdr(assoc 10 item))) (setq x2 (cdr(assoc 40 item))) (setq dist (- x2 lngth)) (setq ffty (cdr(assoc 50 item))) (setq pnt1 (polar x1 ffty dist)) (setq pnt2 (polar pnt1 ffty lngth2)) (command "line" pnt1 pnt2 "") (setq ffty1 (cdr(assoc 51 item))) (setq pnt3 (polar x1 ffty1 dist)) (setq pnt4 (polar pnt3 ffty1 lngth2)) (command "line" pnt3 pnt4 "") ) ) (Setq count (1+ count)) (princ ".") ) (Setvar "cmdecho" 1) )